org.apache.ignite.internal.visor.tx

## Class TxVerboseId

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.tx.TxVerboseId

All Implemented Interfaces:
  Externalizable, Serializable

    public class TxVerboseId
    extends IgniteDataTransferObject

Argument for `FetchNearXidVersionTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`TxVerboseId()` Default constructor.
`TxVerboseId(IgniteUuid uuid, GridCacheVersion gridCacheVer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TxVerboseId` `fromString(String text)` Parses instance from text representation (can be UUID or GridCacheVersion).
`GridCacheVersion` `gridCacheVersion()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`IgniteUuid` `uuid()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxVerboseId

    public TxVerboseId()

Default constructor.

#### TxVerboseId

    public TxVerboseId(IgniteUuid uuid,
                       GridCacheVersion gridCacheVer)

Parameters:
  `uuid` - Uuid.
  `gridCacheVer` - Grid cache version.

### Method Detail

#### fromString

    public static TxVerboseId fromString(String text)

Parses instance from text representation (can be UUID or GridCacheVersion).

Parameters:
  `text` - Text representation.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### uuid

    public IgniteUuid uuid()

Returns:
  Uuid.

#### gridCacheVersion

    public GridCacheVersion gridCacheVersion()

Returns:
  Grid cache version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021